Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
search
List FileSets
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/search \
  --header 'Content-Type: application/json' \
  --header 'X-DOMO-Developer-Token: <api-key>' \
  --data '
{
  "fieldSort": [
    {
      "field": "name",
      "order": "ASC"
    }
  ],
  "filters": [
    {
      "field": "owner",
      "value": [
        27
      ],
      "not": false,
      "operator": "EQUALS"
    }
  ],
  "dateFilters": [
    {
      "field": "created",
      "start": "2025-05-12T23:30:00.000Z",
      "not": false,
      "end": null
    }
  ]
}
'
{
  "fileSets": [
    {
      "id": "e49f188e-be98-451d-ba0f-ada1157bb656",
      "name": "Policies (2025)",
      "description": "Location for all new and updated policies for FY2025",
      "aiEnabled": false,
      "indexStatus": null,
      "connector": "DOMO",
      "created": "2025-07-28T20:17:43.958Z",
      "createdBy": 27,
      "updated": "2025-07-28T20:17:43.958Z",
      "updatedBy": 27,
      "owner": "27",
      "accountId": 0,
      "connectorContext": null,
      "permission": "OWNER",
      "size": 0,
      "fileCount": 0
    }
  ],
  "pageContext": {
    "count": 1,
    "totalCount": 1,
    "offset": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Query Parameters

limit
integer<int32>
default:100

The maximum number of FileSets to return.

offset
integer<int32>
default:0

The offset for pagination.

Body

application/json

The search criteria for listing FileSets.

Request object for searching with specific filters and sorting options.

fieldSort
object[]

A list of field sort criteria to apply to the search.

filters
object[]

A list of filters to apply to the search.

dateFilters
object[]

A list of date filters to apply to the search.

Response

Matching FileSets retrieved successfully

A response for the paginated list of FileSets.

fileSets
object[]

the list of FileSets in the current page

pageContext
object

the context for pagination